Package: grails.artefact.controller.support

## [Groovy] Trait ResponseRedirector

- grails.artefact.controller.support.ResponseRedirector

- All Implemented Interfaces and Traits:
    WebAttributes

      @groovy.transform.CompileStatic
      trait ResponseRedirector

  A trait for objects that redirect the response

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `useJsessionId`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `chain(java.util.Map args)` Chains from one action to another via an HTTP redirect.
    `` | `java.util.Map` | `getChainModel()` Obtains the chain model which is used to chain request attributes from one request to the next via flash scope
    `` | `LinkGenerator` | `getGrailsLinkGenerator()`
    `` | `void` | `redirect(java.lang.Object object)` Redirects for the given arguments.
    `` | `void` | `redirect(java.util.Map argMap)` Redirects for the given arguments.
    `` | `void` | `setGrailsLinkGenerator(LinkGenerator linkGenerator)`
    `` | `void` | `setRedirectListeners(java.util.Collection<RedirectEventListener> redirectListeners)`
    `` | `void` | `setRequestDataValueProcessor(org.springframework.web.servlet.support.RequestDataValueProcessor requestDataValueProcessor)`

- - ### Property Detail

    - #### boolean useJsessionId

  - ### Method Detail

    - #### void chain(java.util.Map args)

      Chains from one action to another via an HTTP redirect. The model is retained in the following request in the 'chainModel' property within flash scope.

      Parameters:
        `args` - The arguments
      Returns:
        Result of the redirect call

    - #### java.util.Map getChainModel()

      Obtains the chain model which is used to chain request attributes from one request to the next via flash scope

      Returns:
        The chainModel

    - #### LinkGenerator getGrailsLinkGenerator()

    - #### void redirect(java.lang.Object object)

      Redirects for the given arguments.

      Parameters:
        `object` - A domain class
      Returns:
        null

    - #### void redirect(java.util.Map argMap)

      Redirects for the given arguments.

      Parameters:
        `argMap` - The arguments
      Returns:
        null

    - #### @org.springframework.beans.factory.annotation.Autowired void setGrailsLinkGenerator(LinkGenerator linkGenerator)

    - #### @org.springframework.beans.factory.annotation.Autowired(required=false) void setRedirectListeners(java.util.Collection<RedirectEventListener> redirectListeners)

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) void setRequestDataValueProcessor(org.springframework.web.servlet.support.RequestDataValueProcessor requestDataValueProcessor)